Skip to content
トレカクラウド
Esc
↑↓navigate↵open⌘Jpreview

Get a card

GET/cards/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired

Authorization code flow (PKCE S256 required). Send resource=https://api.toreca-cloud.com/partner/v1 with the authorization, token and refresh requests. Access tokens last 15 minutes; refresh tokens last 90 days and rotate on every refresh.

Scopes:inventory:read
Path parameters
idstring<uuid>required
Responses
200

The cards

idstring<uuid>
namestring
localizedNamesobject
cardNumberstring | null
setTotalRawstring | null
janCodestring | null
languageCodestring
variantstring | null
finishstring | null
imageUrlstring<uri> | null
rarityobject | null
Show properties
codestring
namestring
setobject | null
Show properties
idstring<uuid>
codestring
namestring
nameEnstring | null
gameGame
Show properties
idstring<uuid>
codestring
namestring
404

not_found

errorstringrequired

The error code

scopestring

With insufficient_scope, the missing scope

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.toreca-cloud.com/partner/v1/cards/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "localizedNames": {
    "property1": "string",
    "property2": "string"
  },
  "cardNumber": "string",
  "setTotalRaw": "string",
  "janCode": "string",
  "languageCode": "string",
  "variant": "string",
  "finish": "string",
  "imageUrl": "http://example.com",
  "rarity": {
    "code": "string",
    "name": "string"
  },
  "set": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "code": "string",
    "name": "string",
    "nameEn": "string"
  },
  "game": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "code": "string",
    "name": "string"
  }
}